다음을 통해 공유


Features - List

기능 나열.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{featuresetName}/versions/{featuresetVersion}/features?api-version=2025-12-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{featuresetName}/versions/{featuresetVersion}/features?api-version=2025-12-01&$skip={$skip}&tags={tags}&featureName={featureName}&description={description}&listViewType={listViewType}&pageSize={pageSize}

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
featuresetName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,254}$

Azure Machine Learning 기능 집합의 이름.

featuresetVersion
path True

string

추론 버전 이름.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string

minLength: 1

대상 구독의 ID입니다.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Azure Machine Learning 작업 영역의 이름입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

$skip
query

string

페이지 매김에 대한 연속 토큰입니다.

description
query

string

기능 집합에 대한 설명입니다.

featureName
query

string

기능 이름.

listViewType
query

ListViewType

[ListViewType.ActiveOnly, ListViewType.ArchivedOnly, ListViewType.All]보관된 엔터티 포함/제외(예: )에 대한 보기 형식입니다.

pageSize
query

integer (int32)

페이지 크기.

tags
query

string

태그 이름(및 선택적으로 값)의 쉼표로 구분된 목록입니다. 예: tag1,tag2=value2

응답

Name 형식 Description
200 OK

FeatureResourceArmPaginatedResult

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

List Feature.

샘플 요청

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/featuresets/string/versions/string/features?api-version=2025-12-01&tags=string&featureName=string&description=string

샘플 응답

{
  "nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/features?api-version=2025-07-01-preview&$skip=2",
  "value": [
    {
      "name": "string",
      "type": "string",
      "id": "string",
      "properties": {
        "description": "string",
        "dataType": "Boolean",
        "featureName": "string",
        "properties": {
          "string": "string"
        },
        "tags": {
          "string": "string"
        }
      },
      "systemData": {
        "createdAt": "2020-01-01T12:34:56.999+00:50",
        "createdBy": "string",
        "createdByType": "Key",
        "lastModifiedAt": "2020-01-01T12:34:56.999+00:50",
        "lastModifiedBy": "string",
        "lastModifiedByType": "ManagedIdentity"
      }
    }
  ]
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

Feature

Azure Resource Manager 리소스 봉투.

FeatureDataType

유형을 지정합니다.

FeatureProperties

기능을 나타내는 DTO 개체

FeatureResourceArmPaginatedResult

페이지를 매긴 기능 엔터티 목록입니다.

ListViewType

[ListViewType.ActiveOnly, ListViewType.ArchivedOnly, ListViewType.All]보관된 엔터티 포함/제외(예: )에 대한 보기 형식입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

Feature

Azure Resource Manager 리소스 봉투.

Name 형식 Description
id

string

리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

리소스의 이름

properties

FeatureProperties

[필수] 엔터티의 추가 특성입니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

FeatureDataType

유형을 지정합니다.

Description
String
Integer
Long
Float
Double
Binary
Datetime
Boolean

FeatureProperties

기능을 나타내는 DTO 개체

Name 형식 Default value Description
dataType

FeatureDataType

String

유형을 지정합니다.

description

string

자산 설명 텍스트입니다.

featureName

string

이름을 지정합니다.

properties

object

자산 속성 사전입니다.

tags

object

태그 사전입니다. 태그를 추가, 제거 및 업데이트할 수 있습니다.

FeatureResourceArmPaginatedResult

페이지를 매긴 기능 엔터티 목록입니다.

Name 형식 Description
nextLink

string (uri)

항목의 다음 페이지에 대한 링크

value

Feature[]

이 페이지의 특집 항목들

ListViewType

[ListViewType.ActiveOnly, ListViewType.ArchivedOnly, ListViewType.All]보관된 엔터티 포함/제외(예: )에 대한 보기 형식입니다.

Description
ActiveOnly
ArchivedOnly
All

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.